Package org.apache.sysds.runtime.io

## Class ReadProperties

- java.lang.Object
- - org.apache.sysds.runtime.io.ReadProperties

    public class ReadProperties
    extends Object

### Field Summary

Fields
`int` `blen`
`long` `clen`
`long` `expectedNnz`
`Types.FileFormat` `fmt`
`FileFormatProperties` `formatProperties`
`boolean` `localFS`
`String` `path`
`long` `rlen`

### Constructor Summary

Constructors
`ReadProperties()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### path

    public String path

#### rlen

    public long rlen

#### clen

    public long clen

#### blen

    public int blen

#### expectedNnz

    public long expectedNnz

#### fmt

    public Types.FileFormat fmt

#### localFS

    public boolean localFS

#### formatProperties

    public FileFormatProperties formatProperties

### Constructor Detail

#### ReadProperties

    public ReadProperties()